Package com.io7m.jtensors.storage.api.parameterized.vectors

# Interface PVectorStorageFloating3Type<T>

Type Parameters:
  `T` - A phantom type parameter

All Superinterfaces:
  `PVectorReadable2DType<T>`, `PVectorReadable3DType<T>`, `PVectorStorageFloating2Type<T>`, `VectorReadable2DType`, `VectorReadable3DType`, `VectorStorageFloating2Type`, `VectorStorageFloating3Type`, `VectorStorageType`

All Known Subinterfaces:
  `PVectorByteBufferedFloating3Type<T>`, `PVectorByteBufferedFloating4Type<T>`, `PVectorStorageFloating4Type<T>`

All Known Implementing Classes:
  `PVectorByteBufferedFloating3s16`, `PVectorByteBufferedFloating3s32`, `PVectorByteBufferedFloating3s64`, `PVectorByteBufferedFloating4s16`, `PVectorByteBufferedFloating4s32`, `PVectorByteBufferedFloating4s64`, `PVectorMutable3D`, `PVectorMutable4D`

    public interface PVectorStorageFloating3Type<T>
    extends PVectorReadable3DType<T>, PVectorStorageFloating2Type<T>, VectorStorageFloating3Type

The type of mutable 3D floating point number vectors.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `default void` | `setPVector3D​(PVector3D<T> v)` | Set the components from the given vector.
  `default void` | `setPVector3F​(PVector3F<T> v)` | Set the components from the given vector.

  ### Methods inherited from interface com.io7m.jtensors.storage.api.parameterized.vectors.PVectorStorageFloating2Type

  `setPVector2D, setPVector2F`

  ### Methods inherited from interface com.io7m.jtensors.core.unparameterized.vectors.VectorReadable2DType

  `x, y`

  ### Methods inherited from interface com.io7m.jtensors.core.unparameterized.vectors.VectorReadable3DType

  `z`

  ### Methods inherited from interface com.io7m.jtensors.storage.api.unparameterized.vectors.VectorStorageFloating2Type

  `setVector2D, setVector2F, setX, setXY, setY`

  ### Methods inherited from interface com.io7m.jtensors.storage.api.unparameterized.vectors.VectorStorageFloating3Type

  `setVector3D, setVector3F, setXYZ, setZ`

- ## Method Details

  - ### setPVector3D

    default void setPVector3D​(PVector3D<T> v)
    Set the components from the given vector.
    Parameters:
      `v` - The source vector

  - ### setPVector3F

    default void setPVector3F​(PVector3F<T> v)
    Set the components from the given vector.
    Parameters:
      `v` - The source vector